@charset "UTF-8";
/* ----------------common------------------- */
*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

html,
body {
  padding: 0;
  margin: 0;
  overflow-x: hidden;
  font-family: "ヒラギノ明朝 ProN W6", "HiraMinProN-W6", "HG明朝E", "MS Ｐ明朝", "MS PMincho", "MS 明朝", serif;
  color: #333333;
  width: 100%;
}

body {
  font-size: 20px;
  line-height: 1.6;
  background: #fff;
}

img {
  max-width: 100%;
  height: auto;
}

ul,
ol {
  list-style: none;
  padding: 0;
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  padding: 0;
  margin: 0;
}

a {
  color: inherit;
  text-decoration: none;
  display: block;
}
a:hover {
  opacity: 0.8;
}

.container {
  width: calc(100% - 80px);
  max-width: 1280px;
  margin: 0 auto;
}
@media (max-width: 767px) {
  .container {
    width: 100%;
    margin: 0 auto;
  }
}

/* ----------------header------------------- */
header {
  background: #A2E5FF;
  padding: 5px 0;
}
@media (max-width: 767px) {
  header {
    padding: 2px 0;
  }
}

.header-contents {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: distribute;
      justify-content: space-around;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin: 10px;
}

.header-left {
  font-family: "Roboto Mono", monospace, "HG明朝E", "MS Ｐ明朝", "MS PMincho", "MS 明朝", serif;
  letter-spacing: 3px;
}
@media (max-width: 767px) {
  .header-left {
    font-size: 32px;
    padding: 10px;
  }
}

.header-right a {
  font-size: 24px;
  display: block;
  line-height: 48px;
  padding: 10px 30px;
  border: 2px solid hsl(31, 100%, 60%);
  border-radius: 50px;
  background: #fff;
}
.header-right a:hover {
  background: hsl(31, 100%, 60%);
  color: #fff;
  -webkit-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}
@media (max-width: 767px) {
  .header-right a {
    font-size: 18px;
    padding: 10px;
    padding: 5px 10px;
  }
}
.header-right i {
  color: #10c125;
  margin: auto 0 auto 20px;
  vertical-align: bottom;
}
@media (max-width: 767px) {
  .header-right i {
    margin-left: 10px;
    vertical-align: middle;
  }
}

/* ----------------top------------------- */
.top {
  position: relative;
}

.top {
  background: url(../images/top.jpg) no-repeat top right/cover;
  padding-top: 55%;
}
@media (max-width: 767px) {
  .top {
    background: url(../images/top.jpg) no-repeat center top/cover;
  }
}

.top-contents {
  position: absolute;
  content: "";
  top: 70%;
  left: 0px;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  background: rgba(255, 255, 255, 0.8);
}
@media (max-width: 767px) {
  .top-contents {
    top: 80%;
  }
}

.top-text {
  font-size: 42px;
  padding: 50px;
  font-weight: 700;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .top-text {
    font-size: 32px;
    padding: 10px;
  }
}
@media (max-width: 767px) {
  .top-text {
    font-size: 18px;
    padding: 5px;
  }
}

/* ----------------works------------------- */
.works {
  padding: 100px;
}
@media (max-width: 767px) {
  .works {
    padding: 20px 10px;
  }
}

.works-contents-wrap:not(:first-child) {
  margin-top: 100px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .works-contents-wrap:not(:first-child) {
    margin-top: 60px;
  }
}
@media (max-width: 767px) {
  .works-contents-wrap:not(:first-child) {
    margin-top: 40px;
  }
}

.works-content-title {
  font-size: 32px;
  text-align: center;
  position: relative;
}
@media (max-width: 767px) {
  .works-content-title {
    font-size: 24px;
  }
}
.works-content-title::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 60%;
  height: 3px;
  background: #A2E5FF;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .works-content-title::after {
    width: 80%;
  }
}
@media (max-width: 767px) {
  .works-content-title::after {
    width: 80%;
  }
}

.works-content {
  margin-top: 50px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
@media (max-width: 767px) {
  .works-content {
    display: block;
    text-align: center;
  }
}

.reverse {
  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
      -ms-flex-direction: row-reverse;
          flex-direction: row-reverse;
}

.works-img img {
  min-width: 300px;
  aspect-ratio: 3/2;
}
@media (max-width: 767px) {
  .works-img img {
    width: 80%;
    text-align: center;
  }
}

.reverse .works-description {
  margin-right: 5%;
  margin-left: 0;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .reverse .works-description {
    font-size: 18px;
    display: block;
    margin-right: 20px;
  }
}
@media (max-width: 767px) {
  .reverse .works-description {
    margin: 10px 20px 0;
  }
}

.works-description {
  margin-left: 5%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .works-description {
    font-size: 18px;
    display: block;
    margin-left: 20px;
  }
}
@media (max-width: 767px) {
  .works-description {
    font-size: 14px;
    margin: 10px 20px 0;
    display: block;
  }
}

.contact {
  padding: 100px;
}
@media (max-width: 767px) {
  .contact {
    padding: 60px 20px;
  }
}

.contact-title {
  font-size: 32px;
  text-align: center;
  position: relative;
  font-weight: 700;
}
@media (max-width: 767px) {
  .contact-title {
    font-size: 24px;
  }
}
.contact-title::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  width: 50%;
  height: 3px;
  background: #A2E5FF;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .contact-title::after {
    width: 80%;
  }
}
@media (max-width: 767px) {
  .contact-title::after {
    width: 80%;
  }
}

.contact-contents {
  text-align: center;
  margin-top: 80px;
}
.contact-contents a {
  font-size: 24px;
  display: inline-block;
  line-height: 48px;
  padding: 10px 30px;
  border: 2px solid hsl(31, 100%, 60%);
  border-radius: 50px;
}
.contact-contents a:hover {
  background: hsl(31, 100%, 60%);
  color: #fff;
  -webkit-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}
@media (max-width: 767px) {
  .contact-contents a {
    font-size: 18px;
    padding: 10px;
    padding: 5px 10px;
  }
}
.contact-contents i {
  color: #10c125;
  margin: auto 0 auto 20px;
  vertical-align: bottom;
}
@media (max-width: 767px) {
  .contact-contents i {
    margin-left: 10px;
    vertical-align: middle;
  }
}

.contact-flow {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

ul {
  padding: 0;
}

li {
  list-style-type: none;
}

dd {
  margin-left: 0;
  font-size: 24px;
  width: 50%;
  margin-left: 320px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  dd {
    margin-left: 200px;
    font-size: 18px;
  }
}
@media (max-width: 767px) {
  dd {
    margin-left: 130px;
    font-size: 14px;
  }
}

dt {
  width: 50%;
  margin-left: 300px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  dt {
    margin-left: 200px;
  }
}
@media (max-width: 767px) {
  dt {
    margin-left: 130px;
  }
}

.flow {
  position: relative;
  margin: 0 auto;
}

.flow::before {
  content: "";
  width: 15px;
  height: 100%;
  background: #eee;
  margin-left: -8px;
  display: block;
  position: absolute;
  top: 0;
  left: 210px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .flow::before {
    left: 100px;
  }
}
@media (max-width: 767px) {
  .flow::before {
    left: 70px;
  }
}

.flow > li {
  position: relative;
}

.flow > li:not(:last-child) {
  margin-bottom: 8vh;
}

.flow > li .icon {
  font-size: 12px;
  color: #fff;
  background: #A2E5FF;
  background: -webkit-gradient(linear, left top, right top, from(rgb(51, 159, 236)), to(#A2E5FF));
  background: linear-gradient(to right, rgb(51, 159, 236) 0%, #A2E5FF 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#6b90db", endColorstr="#66d5e9", GradientType=1);
  padding: 8px 20px;
  display: block;
  position: absolute;
  top: 0;
  left: 100px;
  z-index: 100;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .flow > li .icon {
    left: -5px;
  }
}
@media (max-width: 767px) {
  .flow > li .icon {
    left: -15px;
    padding: 8px 10px;
  }
}

.flow > li .icon::after {
  content: "";
  border-style: solid;
  border-width: 5px 0 5px 10px;
  border-color: transparent transparent transparent #A2E5FF;
  position: absolute;
  top: 50%;
  left: 100%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}

.flow > li dl {
  position: relative;
}

.flow > li dl::before,
.flow > li dl::after {
  content: "";
  display: block;
  position: absolute;
  top: 15px;
}

.flow > li dl::before {
  width: 7px;
  height: 7px;
  margin-top: -3px;
  background: rgb(51, 159, 236);
  border-radius: 50%;
  left: 206px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .flow > li dl::before {
    left: 95px;
  }
}
@media (max-width: 767px) {
  .flow > li dl::before {
    left: 65px;
  }
}

.flow > li dl::after {
  width: 50px;
  border-bottom: 1px dashed #999;
  position: absolute;
  left: 218px;
}
@media (min-width: 768px) and (max-width: 1279px) {
  .flow > li dl::after {
    left: 110px;
    width: 45px;
  }
}
@media (max-width: 767px) {
  .flow > li dl::after {
    left: 80px;
    width: 30px;
  }
}

.flow > li dl dt {
  font-size: 24px;
  font-weight: 600;
  color: rgb(51, 159, 236);
  margin-bottom: 1vh;
}
@media (max-width: 767px) {
  .flow > li dl dt {
    font-size: 18px;
  }
}

footer {
  padding: 20px 0;
  background: #A2E5FF;
}

.footer-copyright {
  text-align: center;
}
@media (max-width: 767px) {
  .footer-copyright {
    font-size: 14px;
  }
}